package com.mx.dla.dda.contrato.transaccion.fees.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;


public class FeesEstDTO extends BaseDTO{
		
	private static final long serialVersionUID = 1L;
	
	private String[][] datosMin;
	private String[][] datosMinAnio;
		
	private String[][] datosImpuestos;
	private String[][] datosDTOMovies;
	private String[][] datosRevenueMovies;
	private String[][] datosDTOSeries;
	private String[][] datosRevenueSeries;
	private String[] paises;
	private String[] formatos;
	private String[] tier;
	private String[] catSeries;	
	private String aniosMin [];
	private Long   idCatMin [];
	private Long   idCatEli [];

	
	
	private List<List<String>> minimos;
	private List<List<String>> minimosAnio;
	private List<List<String>> impuestos;
	private List<List<String>> movies;
	private List<List<String>> revenueMovies;
	private List<List<String>> series;
	private List<List<String>> revenueSeries;

					
	public String[][] getDatosMin() {
		return datosMin;
	}
	public void setDatosMin(String[][] datosMin) {
		this.datosMin = datosMin;		
	}
	public String[][] getDatosImpuestos() {
		return datosImpuestos;
	}
	public void setDatosImpuestos(String[][] datosImpuestos) {
		this.datosImpuestos = datosImpuestos;
	}
	public String[][] getDatosMinAnio() {
		return datosMinAnio;
	}
	public void setDatosMinAnio(String[][] datosMinAnio) {
		this.datosMinAnio = datosMinAnio;
	}
	public String[][] getDatosDTOMovies() {
		return datosDTOMovies;
	}
	public void setDatosDTOMovies(String[][] datosDTOMovies) {
		this.datosDTOMovies = datosDTOMovies;
	}
	public String[][] getDatosRevenueMovies() {
		return datosRevenueMovies;
	}
	public void setDatosRevenueMovies(String[][] datosRevenueMovies) {
		this.datosRevenueMovies = datosRevenueMovies;
	}
	public String[][] getDatosDTOSeries() {
		return datosDTOSeries;
	}
	public void setDatosDTOSeries(String[][] datosDTOSeries) {
		this.datosDTOSeries = datosDTOSeries;
	}
	public String[][] getDatosRevenueSeries() {
		return datosRevenueSeries;
	}
	public void setDatosRevenueSeries(String[][] datosRevenueSeries) {
		this.datosRevenueSeries = datosRevenueSeries;
	}
	public String[] getPaises() {
		return paises;
	}
	public void setPaises(String[] paises) {
		this.paises = paises;
	}
	public String[] getAniosMin() {
		return aniosMin;
	}
	public void setAniosMin(String[] aniosMin) {
		this.aniosMin = aniosMin;
	}
	public String[] getFormatos() {
		return formatos;
	}
	public void setFormatos(String[] formatos) {
		this.formatos = formatos;
	}
	public String[] getTier() {
		return tier;
	}
	public void setTier(String[] tier) {
		this.tier = tier;
	}
	public String[] getCatSeries() {
		return catSeries;
	}
	public void setCatSeries(String[] catSeries) {
		this.catSeries = catSeries;
	}
	public List<List<String>> getMinimos() {
		return minimos;
	}
	public void setMinimos(List<List<String>> minimos) {
		this.minimos = minimos;
		if(minimos != null)
		{
			this.datosMin =  new String[minimos.size()][minimos.get(0).size()];		
			for(int i=0; i<minimos.size();i++)		
				for(int j=0; j<minimos.get(0).size();j++)			
					datosMin[i][j] = minimos.get(i).get(j);
		}
	}
	public List<List<String>> getImpuestos() {
		return impuestos;
	}
	public void setImpuestos(List<List<String>> impuestos) {
		this.impuestos = impuestos;
		if(impuestos != null)
		{
			this.datosImpuestos =  new String[impuestos.size()][impuestos.get(0).size()];		
			for(int i=0; i<impuestos.size();i++)
				for(int j=0; j<impuestos.get(0).size();j++)			
					datosImpuestos[i][j] = impuestos.get(i).get(j);	
		}	
	}
	public List<List<String>> getMovies() {
		return movies;
	}
	public void setMovies(List<List<String>> movies) {
		this.movies = movies;
		if(movies != null)
		{
			this.datosDTOMovies =  new String[movies.size()][movies.get(0).size()];		
			for(int i=0; i<movies.size();i++)
				for(int j=0; j<movies.get(0).size();j++)			
					this.datosDTOMovies[i][j] = movies.get(i).get(j);	
		}
	}
	public List<List<String>> getRevenueMovies() {
		return revenueMovies;
	}
	public void setRevenueMovies(List<List<String>> revenueMovies) {
		this.revenueMovies = revenueMovies;
		if(revenueMovies != null)
		{
			this.datosRevenueMovies =  new String[revenueMovies.size()][revenueMovies.get(0).size()];		
			for(int i=0; i<revenueMovies.size();i++)
				for(int j=0; j<revenueMovies.get(0).size();j++)			
					this.datosRevenueMovies[i][j] = revenueMovies.get(i).get(j);	
		}
	}
	public List<List<String>> getSeries() {
		return series;
	}
	public void setSeries(List<List<String>> series) {
		this.series = series;
		if(series != null)
		{
			this.datosDTOSeries =  new String[series.size()][series.get(0).size()];		
			for(int i=0; i<series.size();i++)
				for(int j=0; j<series.get(0).size();j++)			
					this.datosDTOSeries[i][j] = series.get(i).get(j);	
		}
	}
	public List<List<String>> getRevenueSeries() {
		return revenueSeries;		
	}
	public void setRevenueSeries(List<List<String>> revenueSeries) {
		this.revenueSeries = revenueSeries;
		if(revenueSeries != null)
		{
			this.datosRevenueSeries =  new String[revenueSeries.size()][revenueSeries.get(0).size()];		
			for(int i=0; i<revenueSeries.size();i++)
				for(int j=0; j<revenueSeries.get(0).size();j++)			
					this.datosRevenueSeries[i][j] = revenueSeries.get(i).get(j);	
		}
	}
	public Long[] getIdCatMin() {
		return idCatMin;
	}
	public void setIdCatMin(Long[] idCatMin) {
		this.idCatMin = idCatMin;
	}
	public List<List<String>> getMinimosAnio() {
		return minimosAnio;
	}
	public void setMinimosAnio(List<List<String>> minimos) {
		this.minimosAnio = minimos;
		if(minimos != null)
		{
			this.datosMinAnio =  new String[minimos.size()][minimos.get(0).size()];		
			for(int i=0; i<minimos.size();i++)
				for(int j=0; j<minimos.get(0).size();j++)			
				   datosMinAnio[i][j] = minimos.get(i).get(j);	
		}
	}
	public Long[] getIdCatEli() {
		return idCatEli;
	}
	public void setIdCatEli(Long[] idCatEli) {
		this.idCatEli = idCatEli;
	}	
	
	
}